# Created by pyp2rpm-3.3.5
%global pypi_name PGPy

Name:           python-%{pypi_name}
Version:        0.4.3
Release:        1%{?dist}
Summary:        Pretty Good Privacy for Python

License:        BSD
URL:            https://github.com/SecurityInnovation/PGPy
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
PGPy: Pretty Good Privacy for Python

%package -n     python2-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pypi_name}}

Requires:       python2-cryptography >= 1.1
Requires:       python2-pyasn1
Requires:       python2-singledispatch
Requires:       python2-six >= 1.9

%description -n python2-%{pypi_name}
A Python library for implementing Pretty Good Privacy into Python programs, conforming to the OpenPGP specification per RFC 4880.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3-cryptography >= 1.1
Requires:       python3-pyasn1
Requires:       python3-singledispatch
Requires:       python3-six >= 1.9

%description -n python3-%{pypi_name}
A Python library for implementing Pretty Good Privacy into Python programs, conforming to the OpenPGP specification per RFC 4880.


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py2_build
%py3_build

%install
# Must do the default python version install last because
# the scripts in /usr/bin are overwritten with every setup.py install.
%py2_install
%py3_install

%files -n python2-%{pypi_name}
%license LICENSE
%doc README.rst
%{python2_sitelib}/pgpy
%{python2_sitelib}/%{pypi_name}-%{version}-py%{python2_version}.egg-info

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/pgpy
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Sat Feb 20 2021 root - 0.4.3-1
- Initial package.
